unit mainfrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, Menus, SDL_Colsel, SDL_ProgBar;

type
  TForm1 = class(TForm)
    ScrollBar1: TScrollBar;
    PBar1: TProgBar;
    PBar2: TProgBar;
    PBar3: TProgBar;
    RGDirection: TRadioGroup;
    CBoxGradient: TCheckBox;
    ColSelMin: TColSel;
    ColSelMax: TColSel;
    RGGradMode: TRadioGroup;
    PBar4: TProgBar;
    PBar5: TProgBar;
    SBarTextAngle: TScrollBar;
    BButLoadImage: TBitBtn;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Label2: TLabel;
    BButSpecialCurtain1: TBitBtn;
    BButNoImage: TBitBtn;
    CSelBakgnd: TColSel;
    Label3: TLabel;
    RGOutFrame: TRadioGroup;
    RGInnerFrame: TRadioGroup;
    BButSpecialCurtain2: TBitBtn;
    SBarMarginTop: TScrollBar;
    SBarMarginBottom: TScrollBar;
    SBarMarginLeft: TScrollBar;
    SBarMarginRight: TScrollBar;
    Label4: TLabel;
    procedure ScrollBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure RGDirectionClick(Sender: TObject);
    procedure CBoxGradientClick(Sender: TObject);
    procedure ColSelMaxChange(Sender: TObject);
    procedure ColSelMinChange(Sender: TObject);
    procedure RGGradModeClick(Sender: TObject);
    procedure PBar1ShowValue(Sender: TObject; var ValueText: String);
    procedure SBarTextAngleChange(Sender: TObject);
    procedure BButLoadImageClick(Sender: TObject);
    procedure BButNoImageClick(Sender: TObject);
    procedure CSelBakgndChange(Sender: TObject);
    procedure RGOutFrameClick(Sender: TObject);
    procedure RGInnerFrameClick(Sender: TObject);
    procedure BButSpecialCurtain2Click(Sender: TObject);
    procedure SBarMarginRightChange(Sender: TObject);
    procedure SBarMarginLeftChange(Sender: TObject);
    procedure SBarMarginBottomChange(Sender: TObject);
    procedure SBarMarginTopChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  SDL_sdlbase;


(******************************************************************************)
procedure TForm1.ScrollBar1Change(Sender: TObject);
(******************************************************************************)

begin
PBar1.Value := Scrollbar1.Position/5;
PBar2.Value := Scrollbar1.Position;
PBar3.Value := Scrollbar1.Position;
PBar4.Value := Scrollbar1.Position;
PBar5.Value := Scrollbar1.Position;
end;

(******************************************************************************)
procedure TForm1.Button1Click(Sender: TObject);
(******************************************************************************)

var
  i   : integer;

begin
PBar1.ColorMapMode := cgmMove;
PBar1.BarColors[1023] := clBlack;
for i:=1022 downto 0 do
  PBar1.BarColors[i] := i mod 256 + $003F00+256*(i mod 128) + $8F0000;
CBoxGradient.Checked := true;
RGGradMode.ItemIndex := 2;
PBar1.Invalidate;
ColSelMin.SelColor := PBar1.ColorMin;
ColSelMax.SelColor := PBar1.ColorMax;
end;

(******************************************************************************)
procedure TForm1.RGDirectionClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.Direction := TDirection(RGDirection.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.CBoxGradientClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.ShowColorGradient := CBoxGradient.Checked;
end;

(******************************************************************************)
procedure TForm1.ColSelMaxChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.ColorMax := ColSelMax.SelColor;
end;

(******************************************************************************)
procedure TForm1.ColSelMinChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.ColorMin := ColSelMin.SelColor;
end;

(******************************************************************************)
procedure TForm1.RGGradModeClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.ColorMapMode := TColorMapping(RGGradMode.ItemIndex);
end;

(******************************************************************************)
procedure TForm1.PBar1ShowValue(Sender: TObject; var ValueText: String);
(******************************************************************************)

begin
ValueText := ValueText+' %';
end;

(******************************************************************************)
procedure TForm1.SBarTextAngleChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.TextAngle := SbarTextAngle.Position;
end;

(******************************************************************************)
procedure TForm1.BButLoadImageClick(Sender: TObject);
(******************************************************************************)

begin
if OpenDialog1.Execute then
  PBar1.BackGroundImg := OpenDialog1.FileName;
end;

(******************************************************************************)
procedure TForm1.BButNoImageClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.BackGroundImg := '';
end;

(******************************************************************************)
procedure TForm1.CSelBakgndChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.ColorBackGnd := CSelBakGnd.SelColor;
end;

(******************************************************************************)
procedure TForm1.RGOutFrameClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.FrameStyleOuter := TFrameStyle(RGOutFrame.Itemindex);
end;

(******************************************************************************)
procedure TForm1.RGInnerFrameClick(Sender: TObject);
(******************************************************************************)

begin
PBar1.FrameStyleInner := TFrameStyle(RGInnerFrame.Itemindex);
end;

(******************************************************************************)
procedure TForm1.BButSpecialCurtain2Click(Sender: TObject);
(******************************************************************************)

var
  i   : integer;

begin
PBar1.ColorMapMode := cgmMove;
PBar1.BarColors[1023] := clBlue;
for i:=1022 downto 0 do
  PBar1.BarColors[i] := 128+round(127*sin(i/60)) + 256*(128+round(127*cos(i/81)));
CBoxGradient.Checked := true;
RGGradMode.ItemIndex := 2;
PBar1.Invalidate;
ColSelMin.SelColor := PBar1.ColorMin;
ColSelMax.SelColor := PBar1.ColorMax;
end;


(******************************************************************************)
procedure TForm1.SBarMarginRightChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.MarginRight := SBarMarginRight.Position;
end;

(******************************************************************************)
procedure TForm1.SBarMarginLeftChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.MarginLeft := SBarMarginLeft.Position;
end;

(******************************************************************************)
procedure TForm1.SBarMarginBottomChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.MarginBottom := SBarMarginBottom.Position;
end;

(******************************************************************************)
procedure TForm1.SBarMarginTopChange(Sender: TObject);
(******************************************************************************)

begin
PBar1.MarginTop := SBarMarginTop.Position;
end;

(******************************************************************************)
procedure TForm1.FormShow(Sender: TObject);
(******************************************************************************)

begin
if SDL_progbar.IsLightEd
  then RGDirection.Enabled := false
  else PBar4.Direction := dirLeftward;
end;

end.


